Skip to main content
GET
/
leads
/
{id}
/
workflow-status
Get a lead automation workflow status
curl --request GET \
  --url https://api.leadping.ai/leads/{id}/workflow-status
{
  "leadId": "<string>",
  "runs": [
    {
      "id": "<string>",
      "businessId": "<string>",
      "leadId": "<string>",
      "automationId": "<string>",
      "automationName": "<string>",
      "triggerType": "<string>",
      "triggerDisplay": "<string>",
      "status": "<string>",
      "statusDisplay": "<string>",
      "currentStepId": "<string>",
      "currentStepName": "<string>",
      "currentStepOrder": "<string>",
      "nextExecutionAt": "2023-11-07T05:31:56Z",
      "lastExecutionAt": "2023-11-07T05:31:56Z",
      "startedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "failedAt": "2023-11-07T05:31:56Z",
      "cancelledAt": "2023-11-07T05:31:56Z",
      "retryCount": "<string>",
      "maxRetryCount": "<string>",
      "nextRetryAt": "2023-11-07T05:31:56Z",
      "lastErrorCode": "<string>",
      "lastErrorMessage": "<string>",
      "skipReasonCode": "<string>",
      "skipReasonDisplay": "<string>",
      "lastActionSummary": "<string>",
      "correlationId": "<string>",
      "sourceEventId": "<string>",
      "executionKey": "<string>",
      "internalErrorDetails": "<string>",
      "actions": [
        {
          "id": "<string>",
          "stepId": "<string>",
          "stepOrder": "<string>",
          "stepDisplayName": "<string>",
          "actionType": "<string>",
          "actionTypeDisplay": "<string>",
          "status": "<string>",
          "statusDisplay": "<string>",
          "scheduledAt": "2023-11-07T05:31:56Z",
          "startedAt": "2023-11-07T05:31:56Z",
          "completedAt": "2023-11-07T05:31:56Z",
          "failedAt": "2023-11-07T05:31:56Z",
          "skippedAt": "2023-11-07T05:31:56Z",
          "retryCount": "<string>",
          "nextRetryAt": "2023-11-07T05:31:56Z",
          "userSummary": "<string>",
          "safeReason": "<string>",
          "failureCode": "<string>",
          "adminDiagnostics": "<string>"
        }
      ],
      "events": [
        {
          "id": "<string>",
          "stepId": "<string>",
          "actionId": "<string>",
          "eventType": "<string>",
          "status": "<string>",
          "statusDisplay": "<string>",
          "summary": "<string>",
          "reasonCode": "<string>",
          "occurredAt": "2023-11-07T05:31:56Z",
          "adminDiagnostics": "<string>"
        }
      ]
    }
  ]
}

Path Parameters

id
string
required

Response

OK

Automation workflow status collection for a lead.

leadId
string
runs
object[]